GETTeams by multiple IDs
Several team profiles in one request.
/v2.2/teams/ with t=sort
Try it in the interactive referenceAll Teams operations
Request
GET /v2.2/teams/?user=USER&token=TOKEN&t=sort&ids=19,99,108- Every request needs the
userandtokenquery parameters of the account.
Parameters
| Name | Required | Description | Example |
|---|---|---|---|
ids | yes | Comma-separated team IDs, without spaces. | 19,99,108 |
Example response
{
"data": [
{
"id": 19,
"common_name": "Manchester United",
"name": "Manchester United",
"short_code": "MUN",
"is_national": 0,
"img": "https://cdn.soccersapi.com/images/soccer/teams/100/19.png",
"current_seasons": [
21033
],
"leagues": [
{
"id": "583",
"name": "Premier League",
"is_cup": "0",
"is_amateur": "0",
"is_friendly": "0",
"current_season_id": "21033",
"seasons": [
{
"id": 21033,
"name": "26/27",
"is_current": 1
}
]
}
],
"founded": "1878",
"twitter": "ManUtd",
"coach_id": 7681,
"venue_id": 1878,
"kit": [
{
"type": "home",
"colors": {
"shirt": "#ea0000",
"sleeve": "#000000",
"sleeve_detail": "#ea0000",
"number": "#ffffff"
}
}
],
"country": {
"id": 3,
"name": "England",
"cc": "en"
}
},
{
"id": 99,
"common_name": "Barcelona",
"name": "FC Barcelona",
"short_code": "BAR",
"is_national": 0,
"img": "https://cdn.soccersapi.com/images/soccer/teams/100/99.png",
"current_seasons": [
21233
],
"leagues": [
{
"id": "637",
"name": "LaLiga",
"is_cup": "0",
"is_amateur": "0",
"is_friendly": "0",
"current_season_id": "21233",
"seasons": [
{
"id": 21233,
"name": "26/27",
"is_current": 1
}
]
}
],
"founded": "1899",
"twitter": "FCBarcelona",
"coach_id": 662,
"venue_id": 86,
"kit": [
{
"type": "home",
"colors": {
"shirt": "#282e60",
"sleeve": "#0d0d0d",
"number": "#efc006"
}
}
],
"country": {
"id": 5,
"name": "Spain",
"cc": "es"
}
}
],
"meta": {
"requests_left": 2950,
"user": "your_username",
"plan": "Soccer API 50",
"page": 1,
"pages": 1,
"count": 3,
"total": 3,
"msg": ""
}
}